import { Body, Controller, Inject, Post } from '@midwayjs/core';
import { Context } from '@midwayjs/koa';
import { BizCode } from '../biz/code';
import { createToken } from '../util/encrypt';

@Controller('/admin')
export class AdminController {
  @Inject()
  ctx: Context;

  @Post('/user/auth')
  async AdminAuth(@Body() params) {
    const { username, password } = params as any;
    const token = createToken({ login: true });
    if (username === 'admin' && password === '123123') {
      this.ctx.cookies.set('_sign_admin', token, {
        expires: new Date(Date.now() + 10 * 60 * 1000),
        httpOnly: false,
      });
      this.ctx.body = { code: BizCode.OK };
    } else {
      this.ctx.body = { code: BizCode.ERROR, msg: '用户名密码错误' };
    }
  }
}
